# Send Receipt

This function is used to send the transction receipt to the given mail address. It can be used after transaction and also in transaction page.

```kotlin
PayContactlessEmbed.getInstance().sendReceipt(long transactionId, String email, SendMailListener listener)
```

## **Send  Mail Listener**

```java
public interface SendMailListener {
    void onSuccess();
    void onFailure(Error error);
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.prophius.com/developer-console/merchant-embed-sdk/android/sdk-api-reference/send-receipt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
